Loading...
Searching...
No Matches
table_format.h File Reference
`#include <utility>`
`#include <vector>`
`#include <string>`
`#include <sstream>`
`#include <iomanip>`
`#include <algorithm>`
`#include <numeric>`
`#include <memory>`
`#include <print>`
`#include <cwchar>`
`#include "nlohmann/json.hpp"`
Include dependency graph for table_format.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | gridfire::utils::ColumnBase
class | gridfire::utils::Column< T >
class | gridfire::utils::TableBase
class | gridfire::utils::Table< T >

## Namespaces

namespace | gridfire
namespace | gridfire::utils

## Functions

size_t | gridfire::utils::visual_width (const std::string &s)
std::string | gridfire::utils::format_table (const std::string &tableName, const std::vector< std::unique_ptr< ColumnBase > > &columns)
std::string | gridfire::utils::format_table (const TableBase &table)
void | gridfire::utils::print_table (const std::string &tableName, const std::vector< std::unique_ptr< ColumnBase > > &columns)
void | gridfire::utils::print_table (const TableBase &table)
void | gridfire::utils::to_csv (const std::string &filename, const std::vector< std::unique_ptr< ColumnBase > > &columns)
nlohmann::json | gridfire::utils::to_json (const std::vector< std::unique_ptr< ColumnBase > > &columns)
void | gridfire::utils::to_json_file (const std::string &filename, const std::vector< std::vector< std::unique_ptr< ColumnBase > > > &tables, const std::vector< std::string > &tableNames)